
	
$(document).ready(function(){
	
	// Apply vertical sliders to the first multi-numeric
	// To apply it to a specific question, use the question ID like so:
	// $('#question123').lsVerticalSlider({
	$('.numeric-multi:eq(0)').lsVerticalSlider({
		minValue		:0,		// Minimum value (default 0)
		maxValue		:200,	// Maximum value (default 100) 
		startValue		:100,	// Start value (default null)
		step			:10,	// Slider increments (default 1)
		height			:100,	// Height of slider in pixels (default 200)
		recordStart		:true,	// Record the start value? (default no)
		showMin			:true,	// Show minimum value? (default no)
		showMax			:true	// Show maximum value? (default no)
	});
	
	// Apply vertical sliders to the second multi-numeric
	$('.numeric-multi:eq(1)').lsVerticalSlider({
		minValue		:0,		// Minimum value (default 0)
		maxValue		:400,	// Maximum value (default 100) 
		startValue		:'',	// Start value (default null)
		step			:50,	// Slider increments (default 1)
		height			:150,	// Height of slider in pixels (default 200)
		recordStart		:false,	// Record the start value? (default no)
		showMin			:false,	// Show minimum value? (default no)
		showMax			:false	// Show maximum value? (default no)
	});
	
});

// NO EDITING REQUIRED BELOW HERE
	
// A jQuery plugin to convert multiple-numeric questions to vertical sliders
(function( $ ){

	$.fn.lsVerticalSlider = function(options) {  
	
		// The defaults, extended and modified with any passed in the function call
		var opts = $.extend( {
			minValue		:0, 
			maxValue		:100, 
			startValue		:'',
			step			:1,
			height			:150, 
			recordStart		:false,
			showMin			:false,
			showMax			:false
		}, options);
		
		return this.each(function() { 
				
			var $this = $(this);
			
			// Some classes for the question and sub-questions
			$this.addClass('vertical-slider-question');
			$('li:[id^="javatbd"]', $this).addClass('vertical-slider-sub-question');
			
			// Loop through the sub-questions
			$('li:[id^="javatbd"]', $this).each(function(i){
				
				var itemID = $(this).attr('id').replace(/javatbd/, '');
				
				// Check for pre-existing answer
				if($('#answer'+itemID).val() != '') {
					opts.startValue = $('#answer'+itemID).val();
				}
				
				// Insert the slider elements
				$('#answer'+itemID).after(
					'<div class="vertical-slider-max-min" style="height:'+(opts.height+2)+'px;"> \
						<div class="vertical-slider-max"></div> \
						<div class="vertical-slider-min"></div> \
					</div> \
					<div id="vertical-slider-'+itemID+'" class="vertical-slider" style="height:'+opts.height+'px;"></div> \
					<div class="vertical-slider-callout-wrapper" style="height:'+(opts.height+2)+'px;"> \
						<div class="vertical-slider-callout" id="slider-callout-'+itemID+'"></div> \
					</div>'
				);
				
				// Show min/max if option is set
				if(opts.showMax) {
					$('.vertical-slider-max', $this).text(opts.maxValue);
				}
				if(opts.showMin) {
					$('.vertical-slider-min', $this).text(opts.minValue);
				}
				
				// Initiate the slider
				$('#vertical-slider-'+itemID).slider({
					orientation: 'vertical',
					range: 'min',
					min: opts.minValue,
					max: opts.maxValue,
					value: opts.startValue,
					step: opts.step,
					slide: function(event, ui) {
						$('#answer'+itemID).val(ui.value);
						$('#slider-callout-'+itemID).text(ui.value);
						setTimeout(function() { 
							$('#slider-callout-'+itemID).css({ 'bottom':$('#vertical-slider-'+itemID+' .ui-slider-handle').css('bottom') }).show();
						}, 10);
					},
					create: function(event, ui) {
						// Initial values and positions
						if($('#answer'+itemID).val() != '') { // Pre-existing answer
							$('#slider-callout-'+itemID).text(opts.startValue);
						}
						else if(opts.recordStart) { // Record the start value (if option is set)
							$('#answer'+itemID).val(opts.startValue);
							$('#slider-callout-'+itemID).text(opts.startValue);
						}
						else {
							$('#slider-callout-'+itemID).hide();
						}
						$('#slider-callout-'+itemID).css({ 'bottom':$('#vertical-slider-'+itemID+' .ui-slider-handle').css('bottom') });
					}
				});
			});
		});
	
	};
})( jQuery );

	
	

	

	
	
	
	